package com.persagy.labsl.services.impl

import com.persagy.labsl.models.entities.tpt.Markers
import com.persagy.labsl.services.MarkersLogicService
import com.persagy.labsl.services.MarkersService
import com.persagy.service.models.requests.SCreateRequest
import com.persagy.service.models.requests.SUpdateRequest
import com.persagy.service.models.responses.SBaseResponse
import com.persagy.service.models.responses.SCreateResponse
import lombok.extern.slf4j.Slf4j
import org.springframework.stereotype.Service
import org.springframework.transaction.annotation.Transactional

@Slf4j
@Service
open class MarkersLogicServiceImpl: MarkersLogicService {
    /**
     * 批量创建注释说明
     * @author : lijie
     * Update By 2022/5/31 19:54
     */
    @Transactional
    override fun creates(request: SCreateRequest<Markers>): SCreateResponse<Markers> {
        return MarkersService.creates(request)
    }
    /**
     * 批量删除注释说明
     * @author : lijie
     * Update By 2022/5/31 19:54
     */
    @Transactional
    override fun deletes(idList: ArrayList<Markers>): SBaseResponse {
        return MarkersService.deletes(idList)
    }
    /**
     * 批量更新注释说明
     * @author : lijie
     * Update By 2022/5/31 19:55
     */
    @Transactional
    override fun updateList(request: SUpdateRequest<Markers>): SBaseResponse {
        return MarkersService.updateList(request)
    }
}