package com.persagy.labsl.services.impl

import com.persagy.labsl.models.entities.tpt.Node
import com.persagy.labsl.services.NodeLogicService
import com.persagy.labsl.services.NodeService
import com.persagy.service.models.requests.SCreateRequest
import com.persagy.service.models.requests.SUpdateRequest
import com.persagy.service.models.responses.SBaseResponse
import com.persagy.service.models.responses.SCreateResponse
import lombok.extern.slf4j.Slf4j
import org.springframework.stereotype.Service
import org.springframework.transaction.annotation.Transactional

@Slf4j
@Service
open class NodeLogicServiceImpl: NodeLogicService {
    /**
     * 批量创建注释说明
     * @author : lijie
     * Update By 2022/5/31 19:54
     */
    @Transactional
    override fun creates(request: SCreateRequest<Node>): SCreateResponse<Node> {
        return NodeService.creates(request)
    }
    /**
     * 批量删除注释说明
     * @author : lijie
     * Update By 2022/5/31 19:54
     */
    @Transactional
    override fun deletes(idList: ArrayList<Node>): SBaseResponse {
        return NodeService.deletes(idList)
    }
    /**
     * 批量更新注释说明
     * @author : lijie
     * Update By 2022/5/31 19:55
     */
    @Transactional
    override fun updateList(request: SUpdateRequest<Node>): SBaseResponse {
        return NodeService.updateList(request)
    }
}